org.apache.sis.util

## Class NullArgumentException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - NullPointerException
        - - NullArgumentException

- All Implemented Interfaces:
    Serializable

      public class NullArgumentException
      extends NullPointerException

  Thrown when a null argument has been given to a method that doesn't accept them. This exception extends `NullPointerException` in order to stress out that the error is an illegal argument rather than an unexpected usage of a null pointer inside a method body.
  API note: We could argue that this exception should extend `IllegalArgumentException`. However `NullPointerException` has become a more widely adopted practice and is now the recommended one in the Effective Java book.
  Since:
    0.3
  See Also:
    `ArgumentChecks​.ensureNonNull(String, Object)`, Serialized Form

  Defined in the `sis-utility` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullArgumentException()` Constructs an exception with no detail message.
    `NullArgumentException(String message)` Constructs an exception with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullArgumentException

          public NullArgumentException()

      Constructs an exception with no detail message.

    - #### NullArgumentException

          public NullArgumentException(String message)

      Constructs an exception with the specified detail message.
      Parameters:
        `message` - the detail message.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.